Subject: Re: bug#52394: 27.2; Isearch with char folding enableddoesn’t match equivalent strings

From: Juri Linkov <[email-masked]>
Date: Sat, 11 Dec 2021 22:34:05 +0200

> I guess that removing equivalent characters would help make the string
> that matches longer, right? In this case having the possibility of
> building the sets of equivalent characters from zero would help. (For
> me, just the equivalence of straight and curly quotes would cover 90%
> of the use cases.) The options for customising these sets AFAIK are
> ‘char-fold-exclude’, but it’s not for building them from null, and
> maybe the ‘char-fold-table’, but I’m not sure as to how to edit it, it
> looks like it’s more for internal use than for the user to tweak.

Right, it's possible to customize char-fold-exclude to make the string longer.
As for how to do this without customization, internally maybe it would be
possible to add regexp back references to reuse parts of the previous regexps
constructed for the same letter.